| Home | Libraries | People | FAQ | More

## Struct template destructible

boost::type_erasure::destructible

## Synopsis

    // In header: <boost/type_erasure/any.hpp>

    template<typename T>
    struct destructible {
    };

## Description

The destructible concept enables forwarding to the destructor of the contained type. This is required whenever an any is created by value.

| Note
The destructible concept rarely needs to be specified explicitly, because it is included in the copy_constructible concept. destructible may not be specialized and may not be passed to call as it depends on the implementation details of any.